Bug 226468 - x11-fonts/noto-lite: Resolve conflict with x11-fonts/noto
Summary: x11-fonts/noto-lite: Resolve conflict with x11-fonts/noto
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-03-09 05:16 UTC by Tobias Kortkamp
Modified: 2018-03-23 17:03 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
v1 (802 bytes, patch)
2018-03-09 05:16 UTC, Tobias Kortkamp
tobik: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2018-03-09 05:16:49 UTC
Created attachment 191331 [details]
v1

We can solve the conflict between noto and noto-lite by installing the noto-lite
fonts into their own directory i.e. share/fonts/noto-lite instead of
share/fonts/noto.

The other option would be to have x11-fonts/noto not install the fonts that
noto-lite already installs.
Comment 1 Dmitri Goutnik freebsd_committer 2018-03-12 00:25:08 UTC
+1 to making noto-lite a dependency of noto and not installing fonts that are already installed by noto-lite, because #226255 made www/chromium conflict with x11-fonts/google-fonts (which kind of defeats this package purpose).
Comment 2 commit-hook freebsd_committer 2018-03-23 17:03:41 UTC
A commit references this bug:

Author: tobik
Date: Fri Mar 23 17:03:08 UTC 2018
New revision: 465386
URL: https://svnweb.freebsd.org/changeset/ports/465386

Log:
  Resolve the conflict between x11-fonts/noto-lite and x11-fonts/noto

  Install the noto-lite fonts into their own directory i.e.
  share/fonts/noto-lite instead of into the same share/fonts/noto like
  noto.

  When both noto and noto-lite are installed there will be some
  duplication but that should be negligible given the ~1.2 GiB installed
  size of noto vs the ~4 MiB of noto-lite.

  noto-lite is now a dependency of www/chromium which actively prevents
  users from installing noto at the same time.

  PR:		226468
  Approved by:	sunpoet (maintainer timeout, 2 weeks)

Changes:
  head/x11-fonts/noto-lite/Makefile